import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { defineComponent, useEvaluate } from "@qorebase/app-component";
import { Button } from "@chakra-ui/react";
export default defineComponent({
    name: "Custom Component",
    type: "none",
    icon: "none",
    group: "text",
    defaultProps: {
        title: "This is a title",
    },
    propDefinition: {
        title: { group: "Text", type: "expression", options: {} },
    },
    Component: (props) => {
        const title = useEvaluate(props.properties.title);
        return _jsx(Button, { children: title });
    },
});
//# sourceMappingURL=add-to-cart.js.map